Class(function(extend, using, self){
    extend("pages/page");
    using("lib/jquery.min.js");

    self.about_ref = null;

    self.initPage = function () {
        this.log_trace(this.about_ref, "about  start");
        this.bindAboutInfo();
        this.log_trace(this.about_ref, "about  end");

    }
    self.bindAboutInfo = function () {
        var about_info = this.about_ref.get_version_info();
        $("p:eq(0) span:first").text(about_info.version);
        $("p:eq(1)").text(about_info.company);
        $("p:eq(2)").text(about_info.name);
        $("a:eq(0)").text(about_info.link);
        $("a:eq(0)").attr('href',about_info.link);
    }

    self.initEvent = function(){
        var that = this;

        $(document).delegate(".btn-box button:first", "click", function () {
            that.about_ref.btn_ok_click();
        });
    }

    self.func(function(curData){

        this.about_ref = curData;
        this.sup().construct(curData);


        this.initPage();
        this.initEvent();
    });

});

//Audio.About = Audio.About || {
//    about_ref: null,
//    initPage: function () {
//        Audio.log_trace(aboutwnd, "about  start");
//        this.bindAboutInfo();
//        Audio.log_trace(aboutwnd, "about  end");
//
//    },/* 绑定公司信息 */
//    bindAboutInfo: function () {
//        var about_info = this.about_ref.get_version_info();
//        $("p:eq(0) span:first").text(about_info.version);
//        $("p:eq(1)").text(about_info.company);
//        $("p:eq(2)").text(about_info.name);
//        $("a:eq(0)").text(about_info.link);
//        $("a:eq(0)").attr('href',about_info.link);
//    }
//};
//
//(function () {
//    $(document).delegate(".btn-box button:first", "click", function () {
//        Audio.About.about_ref.btn_ok_click();
//    });
//})();
//
//window.onload = function () { Audio.About.about_ref = aboutwnd; Audio.About.initPage(); }